### Class

# Foundry DebuggerSource

#### Description [src]

    abstract class Foundry.DebuggerSource : GObject.Object
    {
      /* No available fields */
    }

Represents a source code location.

Debugger plugins should implement this so that applications with a debugger interface can navigate to source code.

#### Ancestors

- GObject

#### Instance methods

###### foundry_debugger_source_dup_id

No description available.

###### foundry_debugger_source_dup_name

No description available.

###### foundry_debugger_source_dup_path

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerSource:id

No description available.

###### Foundry.DebuggerSource:name

No description available.

###### Foundry.DebuggerSource:path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerSourceClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryDebuggerSource* self
      );
      char* (* dup_name) (
        FoundryDebuggerSource* self
      );
      char* (* dup_path) (
        FoundryDebuggerSource* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryDebuggerSource* self )`

  No description available.

`dup_name: char* (* dup_name) ( FoundryDebuggerSource* self )`

  No description available.

`dup_path: char* (* dup_path) ( FoundryDebuggerSource* self )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerSourceClass.dup_id

No description available.

###### Foundry.DebuggerSourceClass.dup_name

No description available.

###### Foundry.DebuggerSourceClass.dup_path

No description available.